from .writer_state import WriterState
from maszyna_t3d_export.src.t3d_submodels.t3d_submodel import T3DSubmodel


class MeshWriterState(WriterState):
    def write_specific_properties(self, submodel: T3DSubmodel, output_file):
        output_file.writelines("".join((
            "Ambient: {}\n".format(submodel.get_ambient()),
            "Diffuse: {}\n".format(submodel.get_diffuse()),
            "Specular: {}\n".format(submodel.get_specular()),
            "SelfIllum: {}\n".format(submodel.get_selfillum()),
            "Wire: {}\n".format(submodel.get_wire()),
            "WireSize: {}\n".format(submodel.get_wire_size()),
            "Opacity: {}\n".format(submodel.get_opacity()),
            "Map: {}\n".format(submodel.get_map()),
        )))
