from .writer_state import WriterState
from maszyna_t3d_export.src.t3d_submodels.t3d_submodel import T3DSubmodel


class StarsWriterState(WriterState):
    def write_specific_properties(self, submodel: T3DSubmodel, output_file):
        output_file.writelines("".join((
            "Diffuse: {}\n".format(submodel.get_diffuse()),
            "SelfIllum: {}\n".format(submodel.get_selfillum())
        )))
