

class MainExporter:
    def __init__(self, submodel_maker, t3d_file_writer):
        self.submodel_maker = submodel_maker
        self.t3d_file_writer = t3d_file_writer

    def export_objects(self, config):
        with open(config.output_filepath, "w") as output_file:
            for obj in config.objects_to_save:
                submodel = self.submodel_maker.wrap_in_submodel(obj)
                if submodel:
                    self.t3d_file_writer.write_submodel(submodel, output_file)
